/*
 * This file is part of ArmarX.
 *
 * ArmarX is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * ArmarX is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * @package    RobotAPI::PassThroughController
 * @author     Raphael Grimm ( raphael dot grimm at student dot kit dot edu )
 * @date       2017
 * @copyright  http://www.gnu.org/licenses/gpl-2.0.txt
 *             GNU General Public License
 */

#ifndef _ARMARX_ROBOTAPI_PassThroughController_SLICE_
#define _ARMARX_ROBOTAPI_PassThroughController_SLICE_

#include <ArmarXCore/interface/core/BasicTypes.ice>
#include <RobotAPI/interface/libraries/RTControllers/LVL1Controller.ice>

module armarx
{
    class PassThroughControllerConfig extends LVL1ControllerConfig
    {
        Ice::StringSeq jointNames;
    };

    interface PassThroughControllerInterface extends LVL1ControllerInterface
    {
        idempotent void setJoint(string joint, float value) throws InvalidArgumentException;
        idempotent void setJoints(StringFloatDictionary values) throws InvalidArgumentException;
    };
};
#endif
